%define name python-werkzeug
%define version 0.10.3
%define unmangled_version 0.10.3
%define release 1%{?dist}

Summary: The Swiss Army knife of Python web development
# Workaround for http://bugs.python.org/issue14443
%define __os_install_post    \
  /usr/lib/rpm/redhat/brp-compress \
  /usr/lib/rpm/redhat/brp-strip /usr/bin/strip \
  /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip \
  /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump \
  /usr/lib/rpm/brp-python-bytecompile %{__python} \
  /usr/lib/rpm/redhat/brp-python-hardlink \
  /usr/lib/rpm/redhat/brp-java-repack-jars \

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Armin Ronacher <armin.ronacher@active-4.com>
Url: http://werkzeug.pocoo.org/
BuildRequires: python3
Requires: python3

%description

Werkzeug
========

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).

Details and example applications are available on the
`Werkzeug website <http://werkzeug.pocoo.org/>`_.


Features
--------

-   unicode awareness

-   request and response objects

-   various utility functions for dealing with HTTP headers such as
    `Accept` and `Cache-Control` headers.

-   thread local objects with proper cleanup at request end

-   an interactive debugger

-   A simple WSGI server with support for threading and forking
    with an automatic reloader.

-   a flexible URL routing system with REST support.

-   fully WSGI compatible


Development Version
-------------------

The Werkzeug development version can be installed by cloning the git
repository from `github`_::

    git clone git@github.com:mitsuhiko/werkzeug.git

.. _github: http://github.com/mitsuhiko/werkzeug


%prep
%setup -n Werkzeug-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog

* Thu Mar 26 2015 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 10.0.3-1.ru6
- Initial build for Centos 6 at Rutgers University
